GO

ALTER TABLE [dbo].[TA_Tbl_ProcessedData] ADD 
[RemainingBufferHours] [varchar] (20) NULL,
[DeductBufferInMins] [float] NULL
GO
ALTER TABLE [dbo].[TA_Tbl_ShiftSettings] ADD 
[MonthlyExceptionBufferHours] [varchar] (20) NULL
GO
ALTER TABLE [dbo].[TA_Tbl_EmailSchedule] ADD 
[IsReportingTo] [bit] NULL
GO
ALTER TABLE [dbo].[TA_tbl_MailIdsForTriggeringEmail] ADD 
[Employee_Id] [bigint] NULL
GO
CREATE TABLE [dbo].[ta_tbl_SyncHolidayHistory]
(
	[HolidayHistoryID] [bigint] IDENTITY (1,1) NOT NULL,
	[SyncDatetime] [datetime] NULL,
	[SyncModifyDate] [datetime] NULL,
	[SyncRecordCount] [int] NULL
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[ta_tbl_SyncLeaveErrorLog]
(
	[ErrorID] [bigint] IDENTITY (1,1) NOT NULL,
	[EmployeeCode] [nvarchar] (100) NULL,
	[ModifyDate] [datetime] NULL,
	[ErrorDetails] [nvarchar] (max) NULL,
	[ExecuteDate] [datetime] NULL
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[ta_tbl_SyncEmployeeHistory]
(
	[EmpHistory] [bigint] IDENTITY (1,1) NOT NULL,
	[SyncDatetime] [datetime] NULL,
	[SyncModifyDate] [datetime] NULL,
	[SyncRecordCount] [int] NULL
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[ta_tbl_SyncholidayErrorLog]
(
	[ErrorID] [bigint] IDENTITY (1,1) NOT NULL,
	[ModifyDate] [datetime] NULL,
	[ErrorDetails] [nvarchar] (max) NULL,
	[ExecuteDate] [datetime] NULL
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[ta_tbl_TempHolidayView]
(
	[Holiday_Type] [nvarchar] (200) NULL,
	[Level1] [nvarchar] (200) NULL,
	[Level2] [nvarchar] (200) NULL,
	[Level3] [nvarchar] (200) NULL,
	[Level4] [nvarchar] (200) NULL,
	[HolidayFromDate] [datetime] NULL,
	[HolidayToDate] [datetime] NULL,
	[HolidayDescription] [nvarchar] (500) NULL,
	[Modify_Date] [datetime] NULL
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[ta_tbl_TempLeaveView]
(
	[Employee_Code_ID] [nvarchar] (200) NULL,
	[LeaveType] [nvarchar] (20) NULL,
	[Leave_Name] [nvarchar] (30) NULL,
	[Leave_FromDate] [datetime] NULL,
	[Leave_ToDate] [datetime] NULL,
	[NumberOfDays] [decimal] (18,1) NULL,
	[Reason] [nvarchar] (500) NULL,
	[Modify_Date] [datetime] NULL
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[ta_tbl_SyncLeaveHistory]
(
	[LeaveHistory] [bigint] IDENTITY (1,1) NOT NULL,
	[SyncDatetime] [datetime] NULL,
	[SyncModifyDate] [datetime] NULL,
	[SyncRecordCount] [int] NULL
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[ta_tbl_TempEmpView]
(
	[Employee_Code_Id] [varchar] (20) NULL,
	[Employee_FirstName] [nvarchar] (20) NULL,
	[Employee_Lastname] [nvarchar] (20) NULL,
	[DateofBirth] [datetime] NULL,
	[Email] [nvarchar] (50) NULL,
	[MaritalStatus] [nvarchar] (10) NULL,
	[Designation] [nvarchar] (50) NULL,
	[Gender] [nvarchar] (10) NULL,
	[Level_1_Name] [nvarchar] (50) NULL,
	[Level_2_Name] [nvarchar] (50) NULL,
	[Level_3_Name] [nvarchar] (50) NULL,
	[Level_4_Name] [nvarchar] (50) NULL,
	[DateofJoining] [datetime] NULL,
	[Line_Manager] [nvarchar] (20) NULL,
	[UserGroup] [nvarchar] (20) NULL,
	[Employee_Category] [nvarchar] (20) NULL,
	[Employee_Type] [nvarchar] (20) NULL,
	[InActive_Status] [nvarchar] (20) NULL,
	[Inactive] [datetime] NULL,
	[Card_No] [nvarchar] (20) NULL,
	[OT] [nvarchar] (10) NULL,
	[Compoff] [nvarchar] (10) NULL,
	[Modify_Date] [datetime] NULL
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[TA_Tbl_SelectedUnselectedEmailTrigger]
(
	[id] [int] IDENTITY (1,1) NOT NULL,
	[Schedule_Id] [int] NULL,
	[MailType] [char] (5) NULL,
	[Email_ID] [varchar] (50) NULL,
	[isFlag] [bit] NULL,
	[Employee_Id] [bigint] NULL
) ON [PRIMARY]
GO
CREATE CLUSTERED INDEX [IDX_ID] ON [dbo].[TA_Tbl_SelectedUnselectedEmailTrigger]
(
	[id] ASC
) WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY  = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO

CREATE NONCLUSTERED INDEX [NIDX_ScheduleID_EmployeeID] ON [dbo].[TA_Tbl_SelectedUnselectedEmailTrigger]
(
	[Schedule_Id] ASC,
	[Employee_Id] ASC
) WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY  = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO


CREATE TABLE [dbo].[Ta_Tbl_ImportMasterDataUpdate]
(
	[EmployeeID] [int] NULL,
	[Emp_FirstName] [nvarchar] (250) NULL,
	[Emp_MiddleName] [nvarchar] (250) NULL,
	[Emp_LastName] [nvarchar] (250) NULL,
	[Father_Name] [nvarchar] (250) NULL,
	[Mother_Name] [nvarchar] (250) NULL,
	[DateOfBirth] [nvarchar] (250) NULL,
	[DateOfBirth_Record] [nvarchar] (250) NULL,
	[Blood_Group] [nvarchar] (5) NULL,
	[Email_Id] [nvarchar] (250) NULL,
	[Contact_Address] [nvarchar] (2250) NULL,
	[Permanent_Address] [nvarchar] (2250) NULL,
	[Phone_Number] [nvarchar] (250) NULL,
	[Mobile_Number] [nvarchar] (250) NULL,
	[Gender] [nvarchar] (250) NULL,
	[Marital_Status] [nvarchar] (250) NULL,
	[Nationality] [nvarchar] (250) NULL,
	[Religion] [nvarchar] (250) NULL,
	[Personal_EmailID] [nvarchar] (250) NULL,
	[Passport_No] [nvarchar] (250) NULL,
	[Passport_ExpiryDate] [nvarchar] (250) NULL,
	[Visa_No] [nvarchar] (250) NULL,
	[Visa_ExpiryDate] [nvarchar] (250) NULL,
	[Employee_Code] [nvarchar] (25) NULL,
	[DateOfJoining] [nvarchar] (25) NULL,
	[Qualification_joiningtime] [nvarchar] (25) NULL,
	[Qualification_Employement] [nvarchar] (25) NULL,
	[OutDoorJob] [bit] NULL,
	[CompOff_Eligible] [bit] NULL,
	[OT_Eligible] [bit] NULL,
	[ESI_Eligible] [bit] NULL,
	[PF_Eligible] [bit] NULL,
	[Report_Exclude] [bit] NULL,
	[Employee_Status] [bit] NULL,
	[SwipeCardNo] [nvarchar] (250) NULL,
	[IsDeleted] [bit] NULL,
	[Hostel] [bit] NULL,
	[Designation] [nvarchar] (250) NULL,
	[Grade] [nvarchar] (250) NULL,
	[GradeNo] [nvarchar] (250) NULL,
	[EmployeeType] [nvarchar] (250) NULL,
	[EmployeeCategory] [nvarchar] (250) NULL,
	[BasicSalary] [nvarchar] (10) NULL,
	[Level1] [nvarchar] (250) NULL,
	[Level2] [nvarchar] (250) NULL,
	[Level3] [nvarchar] (250) NULL,
	[Level4] [nvarchar] (250) NULL,
	[Level5] [nvarchar] (250) NULL,
	[Level6] [nvarchar] (250) NULL,
	[Level7] [nvarchar] (250) NULL,
	[Level8] [nvarchar] (250) NULL,
	[Level9] [nvarchar] (250) NULL,
	[Level10] [nvarchar] (250) NULL,
	[Level1_Id] [int] NULL,
	[Level2_Id] [int] NULL,
	[Level3_Id] [int] NULL,
	[Level4_Id] [int] NULL,
	[Level5_Id] [int] NULL,
	[Level6_Id] [int] NULL,
	[Level7_Id] [int] NULL,
	[Level8_Id] [int] NULL,
	[Level9_Id] [int] NULL,
	[Level10_Id] [int] NULL,
	[childLevelId] [int] NULL
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[ta_tbl_SyncEmployeeErrorLog]
(
	[ErrorID] [bigint] IDENTITY (1,1) NOT NULL,
	[EmployeeCode] [nvarchar] (200) NULL,
	[ModifyDate] [datetime] NULL,
	[ErrorDetails] [nvarchar] (max) NULL,
	[ExecuteDate] [datetime] NULL
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[TA_Tbl_EmailScheduleStatus_back20230127]
(
	[Id] [bigint] IDENTITY (1,1) NOT NULL,
	[ScheduleId] [bigint] NOT NULL,
	[DurationFrom] [datetime] NOT NULL,
	[DurationTo] [datetime] NOT NULL,
	[SentDate] [datetime] NOT NULL,
	[Status] [bit] NOT NULL,
	[To_Mail] [varchar] (50) NULL,
	[EmailID] [varchar] (max) NULL,
	[ErrorMessage] [nvarchar] (max) NULL
) ON [PRIMARY]
GO

